datacache <- new.env(hash=TRUE, parent=emptyenv())

hom.Mm.inp <- function() showQCData("hom.Mm.inp", datacache)
hom.Mm.inp_dbconn <- function() dbconn(datacache)
hom.Mm.inp_dbfile <- function() dbfile(datacache)
hom.Mm.inp_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hom.Mm.inp_dbInfo <- function() dbInfo(datacache)

hom.Mm.inpORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hom.Mm.inp.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.INPARANOIDMUSMU_DB("hom.Mm.inp", "Mouse", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hom.Mm.inp_dbconn())
}

